.\" Copyright (c) 1990, 1991, 1993
.\"	The Regents of the University of California.  All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 4. Neither the name of the University nor the names of its contributors
.\"    may be used to endorse or promote products derived from this software
.\"    without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\"     @(#)syslog.conf.5	8.1 (Berkeley) 6/9/93
.\"
.Dd February 9, 2019
.Dt SYSLOG.CONF 5
.Os "GNU inetutils"
.Sh NAME
.Nm syslog.conf
.Nd configuration file for
.Xr syslogd 8
.Sh DESCRIPTION
The
.Nm syslog.conf
file is the configuration file for the
.Xr syslogd 8
program.
It consists of lines with two fields: the
.Em selector
field which specifies the types of messages and priorities to which the
line applies, and an
.Em action
field which specifies the action to be taken if a message
.Xr syslogd
receives matches the selection criteria.
The
.Em selector
field is separated from the
.Em action
field by one or more tab or space characters. A rule can be split in
several lines if all lines except the last are terminated with a backslash
(``\'').
.Pp
The
.Em Selectors
function
are encoded as a
.Em facility ,
a period (``.''), and a
.Em level ,
with no intervening white-space.
Both the
.Em facility
and the
.Em level
are case insensitive.
.Pp
The
.Em facility
describes the part of the system generating the message, and is one of
the following keywords: auth, authpriv, cron, daemon, kern, lpr, mail,
mark, news, syslog, user, uucp and local0 through local7.
These keywords (with the exception of mark) correspond to the
similar
.Dq Dv LOG_
values specified to the
.Xr openlog 3
and
.Xr syslog 3
library routines.
.Pp
The
.Em level
describes the severity of the message, and is a keyword from the
following ordered list (higher to lower): emerg, alert, crit, err,
warning, notice and debug.
These keywords correspond to the
similar
.Pq Dv LOG_
values specified to the
.Xr syslog
library routine.
.Pp
See
.Xr syslog 3
for a further descriptions of both the
.Em facility
and
.Em level
keywords and their significance.
.Pp
If a received message matches the specified
.Em facility
and is of the specified
.Em level
.Em (or a higher level) ,
the action specified in the
.Em action
field will be taken.
.Pp
Multiple
.Em selectors
may be specified for a single
.Em action
by separating them with semicolon (``;'') characters.
It is important to note, however, that each
.Em selector
can modify the ones preceding it.
.Pp
Multiple
.Em facilities
may be specified for a single
.Em level
by separating them with comma (``,'') characters.
.Pp
An asterisk (``*'') can be used to specify all
.Em facilities
or all
.Em levels .
.Pp
By default, a
.Em level
applies to all messages with the same or higher
.Em level .
The equal (``='') character can be prepended to a
.Em level
to restrict this line of the configuration file to messages
with the very same
.Em level .
.Pp
An exclamation mark (``!'') prepended to a
.Em level
or the asterisk means that this line of the configuration file does
.Em not
apply to the specified level (and higher ones). In conjunction with
the equal sign, you can exclude single
.Em levels
as well.
.Pp
The special
.Em facility
``mark'' receives a message at priority ``info'' every 20 minutes
(see
.Xr syslogd 8 ) .
This is not enabled by a
.Em facility
field containing an asterisk.
.Pp
The special
.Em level
``none'' disables a particular
.Em facility .
.Pp
The
.Em action
field of each line specifies the action to be taken when the
.Em selector
field selects a message.
There are five forms:
.Bl -bullet
.It
A pathname (beginning with a leading slash).
Selected messages are appended to the file.
.Pp
You may prepend a minus (``-'') to the path to omit syncing the file
after each message log. This can cause data loss at system crashes, but
increases performance for programs which use logging extensively.
.It
A named pipe (fifo), beginning with a vertical bar (``|'') followed
by a pathname. The pipe must be created with
.Xr mkfifo 8
before syslogd reads its configuration file.
This feature is especially useful fo debugging.
.It
A hostname (preceded by an at (``@'') sign).
Selected messages are forwarded to the
.Xr syslogd
program on the named host.
.It
A comma separated list of users.
Selected messages are written to those users
if they are logged in.
.It
An asterisk.
Selected messages are written to all logged-in users.
.El
.Pp
Blank lines and lines whose first non-blank character is a hash (``#'')
character are ignored.
.Sh EXAMPLES
.Pp
A configuration file might appear as follows:
.Bd -literal
# Log all kernel messages, authentication messages of
# level notice or higher and anything of level err or
# higher to the console.
# Don't log private authentication messages!
*.err;kern.*;auth.notice;authpriv.none	/dev/console

# Log anything (except mail) of level info or higher.
# Don't log private authentication messages!
*.info;mail.none;authpriv.none		/var/log/messages

# The authpriv file has restricted access.
authpriv.*						/var/log/secure

# Log all the mail messages in one place.
mail.*							/var/log/maillog

# Everybody gets emergency messages, plus log them on another
# machine.
*.emerg							*
*.emerg							@arpa.berkeley.edu

# Root and Eric get alert and higher messages.
*.alert							root,eric

# Save mail and news errors of level err and higher in a
# special file.
uucp,news.crit						/var/log/spoolerr
.Ed
.Sh FILES
.Bl -tag -width /etc/syslog.conf -compact
.It Pa /etc/syslog.conf
The
.Xr syslogd 8
configuration file.
.El
.Sh BUGS
The effects of multiple selectors are sometimes not intuitive.
For example ``mail.crit,*.err'' will select ``mail'' facility messages at
the level of ``err'' or higher, not at the level of ``crit'' or higher.
.Sh SEE ALSO
.Xr syslog 3 ,
.Xr syslogd 8
